summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Meckafett <thumpadoodle@hotmail.com>2010-05-11 14:56:22 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:56:22 +0200
commit2400742b3a5d806ae0e03149fca53c098ea41707 (patch)
tree539d86430b44b9c19a24aa55e84a27dbf185af1c /libraries
parente449475518462d2c48f819c52cd487f026656126 (diff)
downloadslackbuilds-2400742b3a5d806ae0e03149fca53c098ea41707.tar.gz
slackbuilds-2400742b3a5d806ae0e03149fca53c098ea41707.tar.xz
libraries/mcs: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/mcs/README4
-rw-r--r--libraries/mcs/mcs.SlackBuild61
-rw-r--r--libraries/mcs/mcs.info8
-rw-r--r--libraries/mcs/slack-desc10
4 files changed, 83 insertions, 0 deletions
diff --git a/libraries/mcs/README b/libraries/mcs/README
new file mode 100644
index 0000000000..7582b86fd0
--- /dev/null
+++ b/libraries/mcs/README
@@ -0,0 +1,4 @@
+mcs is a library and set of userland tools which abstract the
+storage of configuration settings away from userland applications.
+This library is needed by audacious for example.
+
diff --git a/libraries/mcs/mcs.SlackBuild b/libraries/mcs/mcs.SlackBuild
new file mode 100644
index 0000000000..17928e8af4
--- /dev/null
+++ b/libraries/mcs/mcs.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for mcs-0.4.1
+# Written by Meckafett thumpadoodle@hotmail.com
+
+# Modified by the SlackBuilds.org Project.
+
+# Exit on most errors
+set -e
+
+PRGNAM=mcs
+VERSION=0.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+# --enable-gconf \
+# --enable-kconfig
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO GIT-Access $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/mcs/mcs.info b/libraries/mcs/mcs.info
new file mode 100644
index 0000000000..2924ca1d6d
--- /dev/null
+++ b/libraries/mcs/mcs.info
@@ -0,0 +1,8 @@
+PRGNAM="mcs"
+VERSION="-0.4.1"
+HOMEPAGE="http://sacredspiral.co.uk/~nenolod/mcs/"
+DOWNLOAD="http://sacredspiral.co.uk/~nenolod/mcs/mcs-0.4.1.tgz"
+MD5SUM="d09b42e9d51ea32c6326f0bbcad86c9e"
+MAINTAINER="Meckafett"
+EMAIL="thumpadoodle@hotmail.com"
+APPROVED="BP{k}"
diff --git a/libraries/mcs/slack-desc b/libraries/mcs/slack-desc
new file mode 100644
index 0000000000..6b0bdbdd76
--- /dev/null
+++ b/libraries/mcs/slack-desc
@@ -0,0 +1,10 @@
+ |-----handy-ruler------------------------------------------------------|
+mcs: mcs (library to manage userland settings)
+mcs:
+mcs: mcs is a library and set of userland tools which abstract the
+mcs: storage of configuration settings away from userland applications.
+mcs:
+mcs: mcs is licenced under the BSD licence.
+mcs:
+mcs: Homepage: http://sacredspiral.co.uk/~nenolod/mcs/
+mcs: